package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwHsOutcwBalance;
import com.dhcc.finance.main.domain.CwHsOutcwBalanceExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface CwHsOutcwBalanceMapper {
    long countByExample(CwHsOutcwBalanceExample example);

    int deleteByExample(CwHsOutcwBalanceExample example);

    int insert(CwHsOutcwBalance record);

    int insertSelective(CwHsOutcwBalance record);

    List<CwHsOutcwBalance> selectByExample(CwHsOutcwBalanceExample example);

    int updateByExampleSelective(@Param("record") CwHsOutcwBalance record, @Param("example") CwHsOutcwBalanceExample example);

    int updateByExample(@Param("record") CwHsOutcwBalance record, @Param("example") CwHsOutcwBalanceExample example);
    
    /**
     * 功能描述：批量新增
     * @param cwHsOutcwBalanceList
     * @return int
     * @author dml
     * @date 2019年10月16日 下午5:06:21
     * @修改日志：
     */
    int insertBeatch(List<CwHsOutcwBalance> list);
    /**
     * 功能描述：删除数据
     * @param map
     * @return int
     * @author dml
     * @date 2019年10月16日 下午8:52:33
     * @修改日志：
     */
    int deleteOutcwBalance(Map<String, Object> map);
}